### Method

# Gimp Vectors stroke_rotate

since: 2.4

#### Declaration [src]

    gboolean
    gimp_vectors_stroke_rotate (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble center_x,
      gdouble center_y,
      gdouble angle
    )

#### Description [src]

Rotates the given stroke.

Rotates the given stroke around given center by angle (in degrees).

Available since: 2.4

#### Parameters

`stroke_id`

  Type: `gint`

  The stroke ID.

`center_x`

  Type: `gdouble`

  X coordinate of the rotation center.

`center_y`

  Type: `gdouble`

  Y coordinate of the rotation center.

`angle`

  Type: `gdouble`

  Angle to rotate about.

#### Return value

Type: `gboolean`

TRUE on success.